mouse cursor lags

Bug #658538 reported by drakesoft on 2010-10-11
This bug report is a duplicate of:  Bug #34501: touchpad lockup/drag and lost scroll. Edit Remove
100
This bug affects 17 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xserver-xorg-input-evdev

Since I upgraded ubuntu to 10.10 my mouse cursor lags from time to time and without a case (no load).

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: xserver-xorg-input-evdev 1:2.3.2-6ubuntu3
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
Architecture: amd64
DRM.card0.DisplayPort.1:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
DRM.card0.DisplayPort.2:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
DRM.card0.HDMI_Type_A.1:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1680x1050
 edid-base64: AP///////wAwrlNAAAAAAAARAQOAIRV46s11kVVPiyYhUFQAAAABAQEBAQEBAQEBAQEBAQEBqC+Q4GAaEEAgQBMAS88QAAAZtyeQ4GAaEEAgQBMAS88QAAAZAAAADwCzCjKzCigUAQBMo1AzAAAA/gBMVE4xNTRQMy1MMDIKAH4=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
Date: Mon Oct 11 18:55:51 2010
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
MachineType: LENOVO 27163QG
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic root=UUID=11342604-45f3-49fe-bb28-dc5a03420a0e ro quiet splash
ProcEnviron:
 LANG=de_DE.utf8
 SHELL=/bin/bash
SourcePackage: xserver-xorg-input-evdev
dmi.bios.date: 08/05/2010
dmi.bios.vendor: LENOVO
dmi.bios.version: 7YET81WW (3.11 )
dmi.board.name: 27163QG
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7YET81WW(3.11):bd08/05/2010:svnLENOVO:pn27163QG:pvrThinkPadR500:rvnLENOVO:rn27163QG:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 27163QG
dmi.product.version: ThinkPad R500
dmi.sys.vendor: LENOVO
system:
 distro: Ubuntu
 codename: maverick
 architecture: x86_64
 kernel: 2.6.35-22-generic

drakesoft (powerschorsch21) wrote :
Markus Petersen (mafu) wrote :

I've experienced this too since af fresh install of 10.10. The mouse can hardly move for about 10-15 seconds, then all is fine again.

Mustafa Kaya (mustail) wrote :

I can confirm the same problem on a fresh install of 10.10. That never happened to me before with 10.04 or the earlier releases.

Mustafa Kaya (mustail) wrote :

I have a Lenovo Thinkpad T400 laptop. Is this something related to Thinkpads? Markus, is your machine a Lenovo as well?

drakesoft (powerschorsch21) wrote :

I think it is a problem with the kernel! I installed the kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.36-rc8-maverick/ here and the problem is fixed (for me).

affects: xserver-xorg-input-evdev (Ubuntu) → linux (Ubuntu)
drakesoft (powerschorsch21) wrote :

sorry I made a mistake ... the new kernel is no fix.

affects: linux (Ubuntu) → xserver-xorg-input-evdev (Ubuntu)
Jay Cheroske (jay-portal) wrote :

Same issue on a Asus UL-30A laptop. Syslog shows loss of sync. Disabling the setting 'Disable touchpad while typing' seems to have helped, but it's not a perfect fix.

Fabrizio (mr-pink) wrote :

Just same problem with a Lenovo G550. It's so annoying :(

It's sound like my problem after upgrade ubuntu 10.04 to 10.10 on Acer Aspire 4736. It's so annoying for me

Michal Adamczyk (szemkel) wrote :

Same here on HP Compaq 6820s
I changed input method from default to default-xim and i think the freezes got a bit shorter. I'll experiment some more and keep you posted.

drakesoft (powerschorsch21) wrote :

For me it seems to be the new kernel. If I boot the old Kernel 2.6.32 i doesnt have this problem. Can anybody confirm this?

Michal Adamczyk (szemkel) wrote :

I've tried to run 2.6.32 kernel but i guess something gone wrong cause i couldn't boot it. I guess i have some kind of bad luck as i couldn't install and run any version of ubuntu since 8.10 on my notebook.
I wonder - why is this bug appearing only on laptop computers?

Michal Adamczyk (szemkel) wrote :

Oh, and by the way, changing input method doesn't change a thing really. My bad...

drakesoft (powerschorsch21) wrote :

For me it seems the bug is fix in this kernel: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.37-rc1-maverick/

juancherru (juancherru) wrote :

Seems fixed in 2.6.35-23-generic

Michal Adamczyk (szemkel) wrote :

Seems fixed in 2.6.35-22.35

Michal Adamczyk (szemkel) wrote :

It seemed fixed for 15 minutes after post-upgrade reboot. Now the freezes are back. I don't get it...

drakesoft (powerschorsch21) wrote :

For me the 2.6.27-rc1 work perfekt since 1day.

affects: xserver-xorg-input-evdev (Ubuntu) → linux (Ubuntu)
Michal Adamczyk (szemkel) wrote :

In my case the 2.6.27-rc1 acts exactly the same as 2.6.35-22.35 - about 15 minutes of fluent job and then back to freezes once every 10 - 12 seconds. I also noticed some unusually intensive HDD activity - but i'm not sure it's related. I'll check it out. Also i'm downloading KDE to see if it would change anything. I'll post my tests' results in a few hours.

Michal Adamczyk (szemkel) wrote :

@drakesoft - In #18 You meant 2.6.27-rc1 or 2.6.37-rc1???

drakesoft (powerschorsch21) wrote :

sorry i mean 2.6.37

Michal Adamczyk (szemkel) wrote :

Yeah, in #19 i meant 2.6.37 too.
I tried KDE with kdm, KDE with gdm, Gnome with kdm, Gnome with gdm - all freezes.
HDD activity i reporten in #19 was not related to the problem.
I noticed that freezes are related to some cpu activity. When using gnome system monitor, i can see peaks to 100% when (just after) desktop freezes. I was unable to check which process causes them.
Also it is strange to me that each time i reboot, i have 10 minutes before first freeze.
Anyway - I give up until i get some kernel update or any clue on how to get Ubuntu working.

drakesoft (powerschorsch21) wrote :

Have we some thing together? Intel Graphic for example? I my Laptop work a x4500HD

Michal Adamczyk (szemkel) wrote :

No, my HP6820s has:
- Intel Dual Core T2390 @1,86GHz
- ATI MobilityRadeon X1350
- Intel PM965 (Crestline-PM) + ICH8M Chipset
- Samsung HM320II HDD
- 2.0 GB DDR2 (Single)

BTW: I noticed some "unknown monitor type" warnings from X - might be related - or not :|

Fabrizio (mr-pink) wrote :

Has anyone experienced this with 32 bit Ubuntu 10.10?

Michal Adamczyk (szemkel) wrote :

Yes, my Ubuntu is 32 bit 10.10

Stig Bjørge (stig-bjorge) wrote :

Same issue here on my Thinkpad R400 w/ Trackpoint & Touchpad. Was not a problem with 10.04 x64, but really annoying on 10.10 x64. Pointer always freeze up several times for several seconds after startup, and freeze randomly later on.

I get messages such as these in syslog when the pointer is freezing up:
psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 1 bytes away.
psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
psmouse.c: issuing reconnect request

Fabrizio (mr-pink) wrote :

Same messages here (Lenovo G550).

Michal Adamczyk (szemkel) wrote :

When looking to find if i get the same psmouse.c messages in syslog, I found that my problem is not really related to mouse.

In syslog i found:
v 17 12:39:27 stallman kernel: [ 1192.667644] [drm:radeon_dvi_detect] *ERROR* DVI-I-1: probed a monitor but no|invalid EDID
Nov 17 12:39:39 stallman kernel: [ 1204.505818] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 188
Nov 17 12:39:39 stallman kernel: [ 1204.505824] [drm:drm_edid_block_valid] *ERROR* Raw EDID:
Nov 17 12:39:39 stallman kernel: [ 1204.505829] <3>ff 3f 3f 7f 3f 3f 3f 3f 3f 3f 7f 7f 3f 3f 3f 3f .??.??????..????
Nov 17 12:39:39 stallman kernel: [ 1204.505832] <3>3f 3f 3f 3f 3f 3f 7f 3f 3f 3f 3f 3f 3f 3f 3f 3f ??????.?????????
Nov 17 12:39:39 stallman kernel: [ 1204.505835] <3>3f 3f 7f 3f 3f 7f 3f 3f 7f 7f 3f 3f 3f 7f 7f 3f ??.??.??..???..?
Nov 17 12:39:39 stallman kernel: [ 1204.505838] <3>3f 3f 7f 7f 3f 3f 7f 3f 7f 3f 3f 7f 3f 3f 3f 3f ??..??.?.??.????
Nov 17 12:39:39 stallman kernel: [ 1204.505840] <3>7f 3f 3f 7f 3f 3f 7f 7f 7f 3f 7f 3f 7f 7f 7f 7f .??.??...?.?....
Nov 17 12:39:39 stallman kernel: [ 1204.505843] <3>7f 7f 7f 3f 3f 3f 7f 7f 3f 7f 7f 7f 7f 7f 7f 3f ...???..?......?
Nov 17 12:39:39 stallman kernel: [ 1204.505846] <3>7d 3f 7f 7f 7f 7d 7f 7f 7f 7f 7f 7f 7f 7f 7f 7f }?...}..........
Nov 17 12:39:39 stallman kernel: [ 1204.505848] <3>7f 7f 7f 7f 7f 7f 7f 7f 3f 7f 7f 7f 7f 7f 7f 7f ........?.......
Nov 17 12:39:39 stallman kernel: [ 1204.505850]
Nov 17 12:39:39 stallman kernel: [ 1204.588940] [drm:radeon_dvi_detect] *ERROR* DVI-I-1: probed a monitor but no|invalid EDID

every 12 seconds.
So it apears that is ANOTHER RADEON BUG.

Partial walkaround this problem is to change video drivers in xorg.conf to vesa. It causes the freezes to get much shorter and almost unnoticable. However it didn;t change a thing with the drm crashing.

Jim Rorie (jfrorie) wrote :

I started noticing this sometime after June, I think. Did we have akernel change around that time period?

It appeared for me under both Lucid and Maverick. I've also noticed that after I hit a website that made flash mad, the lag amplified until my system was unresponsive and I had to reboot.

Confirmed with Lenovo Thinkpad Edge 11, Maverick and 64bit kernel (2.6.35-23-generic)

Tested with 2.6.37-020637rc2-generic and the issue persists

Jeremy Foshee (jeremyfoshee) wrote :

Hi drakesoft,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete

I took the liberty to remove the 'needs-upstream-testing' tag, as I'm running 2.6.37-020637rc2-generic on Maverick and the problem still persists.

tags: removed: needs-upstream-testing
Robert Elder (relder) wrote :

I'm running 11.04 x64 with kernel 2.6.35-24-generic, on a Phenom II x4 using the nVidia mForce 780a SLI chipset, and my usb mouse freezes completely. If I plug in another usb mouse, the new mouse will work for a while (random length of time) then will freeze. When I reboot, all goes back to normal, but the process repeats. I've tried both a wireless Logitech mouse as well as wired.

drakesoft (powerschorsch21) wrote :

I tesed the "linux-image-2.6.37-020637rc6-generic_2.6.37-020637rc6.201012160910_amd64.deb" Kernel package. The test result is worse than before. Because of the lagging mouse the PC is almost unusable.

Deafboy (jan-registracie) wrote :

Can someone explain why this bug is marked as incomplete? It seems to be very complete to me. You have tons of logfiles and other info here. This bug affects usability of whole system. In other words - Ubuntu is USELESS with this bug.

Download full text (3.2 KiB)

As someone who has suffered from two show-stopping trackpad bugs in a row,
the thought that a fix for this bug would be delayed due to bureaucratic
fumbling is depressing. Enough with the buggy trackpad implementation!
Please, for the good of linux, make it work.
On Dec 26, 2010 12:16 PM, "Deafboy" <email address hidden> wrote:
>
> Can someone explain why this bug is marked as incomplete? It seems to be
> very complete to me. You have tons of logfiles and other info here. This
> bug affects usability of whole system. In other words - Ubuntu is
> USELESS with this bug.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/658538
>
> Title:
> mouse cursor lags
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> Binary package hint: xserver-xorg-input-evdev
>
> Since I upgraded ubuntu to 10.10 my mouse cursor lags from time to time
and without a case (no load).
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: xserver-xorg-input-evdev 1:2.3.2-6ubuntu3
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> Architecture: amd64
> DRM.card0.DisplayPort.1:
> status: disconnected
> enabled: disabled
> dpms: On
> modes:
> edid-base64:
> DRM.card0.DisplayPort.2:
> status: disconnected
> enabled: disabled
> dpms: On
> modes:
> edid-base64:
> DRM.card0.HDMI_Type_A.1:
> status: disconnected
> enabled: disabled
> dpms: On
> modes:
> edid-base64:
> DRM.card0.LVDS.1:
> status: connected
> enabled: enabled
> dpms: On
> modes: 1680x1050
> edid-base64:
AP///////wAwrlNAAAAAAAARAQOAIRV46s11kVVPiyYhUFQAAAABAQEBAQEBAQEBAQEBAQEBqC+Q4GAaEEAgQBMAS88QAAAZtyeQ4GAaEEAgQBMAS88QAAAZAAAADwCzCjKzCigUAQBMo1AzAAAA/gBMVE4xNTRQMy1MMDIKAH4=
> DRM.card0.VGA.1:
> status: disconnected
> enabled: disabled
> dpms: On
> modes:
> edid-base64:
> Date: Mon Oct 11 18:55:51 2010
> EcryptfsInUse: Yes
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64
(20100429)
> MachineType: LENOVO 27163QG
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic
root=UUID=11342604-45f3-49fe-bb28-dc5a03420a0e ro quiet splash
> ProcEnviron:
> LANG=de_DE.utf8
> SHELL=/bin/bash
> SourcePackage: xserver-xorg-input-evdev
> dmi.bios.date: 08/05/2010
> dmi.bios.vendor: LENOVO
> dmi.bios.version: 7YET81WW (3.11 )
> dmi.board.name: 27163QG
> dmi.board.vendor: LENOVO
> dmi.board.version: Not Available
> dmi.chassis.asset.tag: No Asset Information
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: Not Available
> dmi.modalias:
dmi:bvnLENOVO:bvr7YET81WW(3.11):bd08/05/2010:svnLENOVO:pn27163QG:pvrThinkPadR500:rvnLENOVO:rn27163QG:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
> dmi.product.name: 27163QG
> dmi.product.version: ThinkPad R500
> dmi.sys.vendor: LENOVO
> system:
> distro: Ubuntu
> codename: maverick
> architecture: x86_64
> kernel: 2.6.35-22-generic
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/...

Read more...

Fabrizio (mr-pink) wrote :

I see no reason why this bug should be marked as Incomplete, so I'm marking it as new.

Changed in linux (Ubuntu):
status: Incomplete → New
drakesoft (powerschorsch21) wrote :

I have a guess that maybe the sata drivers could be to blame. I get lots of DMA CRC error. But it could also be my hard drive or laptop.

drakesoft (powerschorsch21) wrote :

Sorry I made a misstake this is another value.

drakesoft (powerschorsch21) wrote :

I have the C4 state of my cpu with the kernel option processor.max_cstate = 3 disabled, since I had no problems until now. Can anyone confirm this?

Mustafa Kaya (mustail) wrote :

This lagging issue became more frequent in my case, and more annoying. I hope this bug gets solved soon because it pretty much disrupts the user experience.
I'm tending towards thinking that this has something to do with my wireless device.

drakesoft: What is max_cstate for? And, how do I do this?

drakesoft (powerschorsch21) wrote :

As of today I have again lags, ie, the C4 state of the CPU is not the cause. But I have discovered a strange behavior. The lags disappear as soon as the CPU is fully utilized.

@mustail: I'm sorry I have read your message only now. But I think it has now become obsolete.

Fabrizio (mr-pink) wrote :

Has anyone tested the latest 11.04 alpha? Same problem? Actually I'm not very confident that somebody is gonna fix it, so we'll be stuck with 10.04 again :(

florin (florin-arjocu) wrote :

Same problem of random cursor freeze for a few seconds in Ubuntu 10.10 on Toshiba Satellite C650:

Linux version 2.6.35-28-generic (buildd@allspice) (gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5) ) #50-Ubuntu SMP Fri Mar 18 18:42:20 UTC 2011

Ghis1964 (ghis1964) wrote :

I have this problem on ALL ubuntu distro (lx, xf, kde, gdm). Never once this happened on opensuse, slackware, gentoo or debian. This is A ubuntu code bug, not specific drivers or software related. This is why this bug is not fixed yet, and this is why it is NOT talked about or replied to in a "fixing bug" way.
That bug is there ever since my first try at 8.04 ubuntu. Not always the same bug, but basically input device related (keyboard and mouse). One was the mouse-wheel where it would suddenly start switching apps or windows when I wheel-scrolled a page. An other is when keyboard lags then drops a batch of repeated characters, very helpful when entering a passwrd in terminal (like thyssssssssssssssssssssssrui). Now it's the cursor that keeps disappearing when pause for .0025sec of the time.

ok I'm a little pissed-off by this. But I try to find a stable OS (one I can install software I choose, NOT force-fed into social networking as facebook, or any alike, INTO the OS ) (hey, ...maybe the bug is right inthere ;)
I try them all on either Vbox or hard-drive full install no dual boot (I keep a hard-drive just for that purpose and the OS will find its home there when I'm pleased with it;))

So why do I keep trying ubuntu some ask?
Because I what to be able to give it to grandma! Obvious someone like that won't want to mess with a slackware/gentoo install or an opensuse de-branding;)) (and she's a KDE girl;)

Keep-up the good work! This bug will be fix somehow;)

Peace

prefered OS: KDE based (and, as granma, I can't even pronounce gnome or knowm, sorry;)lolol

core (core.comic) wrote :

I'm also having this problem since the upgrade to 10.10 on a Lenovo ThinkPad T400s, and it's still here after a fresh installation of 11.04 amd64, kernel 2.6.38-8-generic.

Brad Figg (brad-figg) on 2011-05-03
Changed in linux (Ubuntu):
status: New → Confirmed
theghost (theghost) wrote :

Suffer from this issue too on a Lenovo ThinkPad L520, on a fresh installed 11.04 amd64 with 2.6.38-8-generic kernel.

Megha (megha-vishwanath) wrote :

I’ve now moved between 10.10->11.04->10.04 and whichever default kernels I still seem to have this issue.Every 10 secs my cursor hangs for like 5 secs. I have a – Lenovo G550 and some upgrade in the last couple of weeks seems to be messing up mouse and keyboard.

This affects me too. Using Ubuntu 11.10 32-bit, GNOME fallback session, on a Sony VAIO 2.2 GHz, 2 GB RAM. Seems to happen more frequently when CPU load is high, but also happens when no GUI apps besides the desktop session are running. I'm using a generic external USB mouse ("ValuMouse Optical, Model # K64381"). It doesn't seem to matter whether I plug it directly into the computer or whether it's going through a USB hub.

Commenting here because this NEVER happens with the built-in trackpad. If I didn't hate using a trackpad so much, I'd stop using the mouse entirely.

I see this as being a SERIOUS PROBLEM. Not only does it break the user's fundamental expectation of mouse responsiveness and expose really annoying underlying problems, but having the mouse suddenly stop functioning has really, really problematic consequences at certain times. For instance, when it happens while trying to drag a message from my Thunderbird in-box to a folder, if the mouse stops functioning while I'm dragging it past another folder name, Thunderbird happily assumes that I actually let go of the button over the other folder. Which, if not noticed, breaks my ability to manage my email effectively. Similar problems (desktop manager assumes I let up on the button when the mouse stops responding) apply to basically every application that uses dragging as part of its user interface.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers